import * as i0 from '@angular/core';
import { Directive, Input, HostBinding, NgModule } from '@angular/core';

class MatBasicSpinnerDirective {
    hideText = false;
    set mtBasicSpinner(loading) {
        this.loading = loading;
        if (this.hideText)
            this.textHidden = loading;
    }
    loading = false;
    textHidden = false;
    get disabled() {
        return this.mtBasicSpinner;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.1.1", ngImport: i0, type: MatBasicSpinnerDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
    static ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "16.1.1", type: MatBasicSpinnerDirective, selector: "[mtBasicSpinner]", inputs: { hideText: "hideText", mtBasicSpinner: "mtBasicSpinner" }, host: { properties: { "class.mat-spinner": "this.loading", "class.hide-btn-text": "this.textHidden", "disabled": "this.disabled" } }, ngImport: i0 });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.1.1", ngImport: i0, type: MatBasicSpinnerDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[mtBasicSpinner]'
                }]
        }], propDecorators: { hideText: [{
                type: Input
            }], mtBasicSpinner: [{
                type: Input
            }], loading: [{
                type: HostBinding,
                args: ['class.mat-spinner']
            }], textHidden: [{
                type: HostBinding,
                args: ['class.hide-btn-text']
            }], disabled: [{
                type: HostBinding,
                args: ['disabled']
            }] } });

class MatGlowDirective {
    glowColor = "blue";
    mtGlow = false;
    hideText = false;
    get elementClass() {
        document.documentElement.style.setProperty('--glow-color', this.glowColor);
        if (this.mtGlow && this.hideText) {
            return 'mat-glow hide-btn-text';
        }
        else if (this.mtGlow) {
            return 'mat-glow';
        }
        return '';
    }
    get disabled() {
        return this.mtGlow;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.1.1", ngImport: i0, type: MatGlowDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
    static ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "16.1.1", type: MatGlowDirective, selector: "[mtGlow]", inputs: { glowColor: "glowColor", mtGlow: "mtGlow", hideText: "hideText", elementClass: ["class", "elementClass"] }, host: { properties: { "class": "this.elementClass", "disabled": "this.disabled" } }, ngImport: i0 });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.1.1", ngImport: i0, type: MatGlowDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[mtGlow]'
                }]
        }], propDecorators: { glowColor: [{
                type: Input
            }], mtGlow: [{
                type: Input
            }], hideText: [{
                type: Input
            }], elementClass: [{
                type: Input,
                args: ["class"]
            }, {
                type: HostBinding,
                args: ['class']
            }], disabled: [{
                type: HostBinding,
                args: ['disabled']
            }] } });

class NgxLoadingButtonsModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.1.1", ngImport: i0, type: NgxLoadingButtonsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.1.1", ngImport: i0, type: NgxLoadingButtonsModule, declarations: [MatBasicSpinnerDirective,
            MatGlowDirective], exports: [MatBasicSpinnerDirective,
            MatGlowDirective] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.1.1", ngImport: i0, type: NgxLoadingButtonsModule });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.1.1", ngImport: i0, type: NgxLoadingButtonsModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        MatBasicSpinnerDirective,
                        MatGlowDirective
                    ],
                    exports: [
                        MatBasicSpinnerDirective,
                        MatGlowDirective
                    ]
                }]
        }] });

/*
 * Public API Surface of ngx-loading-buttons
 */

/**
 * Generated bundle index. Do not edit.
 */

export { MatBasicSpinnerDirective, MatGlowDirective, NgxLoadingButtonsModule };
//# sourceMappingURL=ngx-loading-buttons.mjs.map
